
import java.net.MalformedURLException;
import java.rmi.Naming;
import java.rmi.RMISecurityManager;
import java.rmi.RemoteException;


/**
 * Servidor RMI 
 */
public class SaludoServidor {

   public static void main(String[] args) {
      
      // Instalamos un RMISecurityManager()
      System.setSecurityManager(new RMISecurityManager());
   
      try{
         // Creamos el objeto que ofrecemos como servicio
         Saludo sal = new SaludoImpl();
         
         // ... y lo registramos
         // Puesto que no estamos especificando el host ni el puerto
         // tendrn los valores por defecto: //localhost y 1099
         Naming.rebind("Saludo",sal);
         
      }catch(RemoteException e){
         e.printStackTrace();
      }catch(MalformedURLException e){
         e.printStackTrace();
      }  
   }
}