import java.rmi.server.*;
import java.rmi.*;

/** Interface que describe el servicio RMI
 * Define los mtodos que se pueden llamar desde el cliente
 */
public class SaludoImpl extends UnicastRemoteObject 
                        implements Saludo {
   private String cadena;

   public SaludoImpl() throws RemoteException{
      cadena = "Mensaje desde el servidor RMI";
   }


   /** Metodo definido en la interface Saludo
    * @return una cadena
    * @throws RemoteException
    */
   public String getMensaje() throws RemoteException{
      return cadena;
   }
}
